package Server;
/**
 * This encapsulates information about the tower flight zones.
 *
 * The position definitions follow that (0,0) is the left-bottom corner.
 */
public interface ITower {

    /**
     * @return The name of the flight zone
     */
    public String getName();

    /**
     * @return x coordinate of the upper left corner of the flight zone
     */
    public float getX1();

    /**
     * @return y coordinate of the upper left corner of the flight zone
     */
    public float getY1();

    /**
     * @return x coordinate of the lower left corner of the flight zone
    */
    public float getX2();

    /**
     * @return y coordinate of the lower right corner of the flight zone
    */
    public float getY2();

}
