package Server;

public class Plane {

    private int id; // the id of the plane
    private boolean active; //tells whether this plane has valid coordinates
    private float x; // the x_postion of the plane
    private float y; // the y_postion of the plane
    private float vx;// the x_velocity of the plane (could be negative value)
    private float vy;// the y_velocity of the plane (could be negative value)

    public Plane(int id)
    {
        this.id = id;
        this.active = false;
    }

    public Plane(int id, float x, float y, float vx, float vy)
    {
       this.id = id;
       this.active = true;
       this.x = x;
       this.y = y;
       this.vy = vy;
       this.vx = vx;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    /**
     * Tells whether this Plane represents a plane with
     * valid position and velocity. Planes that have joined but
     * have not registered a valid position or velocity should not be
     * considered active.
     */
    public boolean isActive() {
        return active;
    }

    /**
     * Tells whether this Plane represents a plane with
     * valid position and velocity. Planes that have joined but
     * have not registered a valid position or velocity should not be
     * considered active.
     */
    public void setActive(boolean active) {
        this.active = active;
    }

    public float getVx() {
        return vx;
    }

    public void setVx(float vx) {
        if (active == false) active = true;
        this.vx = vx;
    }

    public float getVy() {
        return vy;
    }

    public void setVy(float vy) {
        if (active == false) active = true;
        this.vy = vy;
    }

    public float getX() {
        return x;
    }

    public void setX(float x) {
        if (active == false) active = true;
        this.x = x;
    }

    public float getY() {
        return y;
    }

    public void setY(float y) {
        if (active == false) active = true;
        this.y = y;
    }


}
