package Server.db;

import Server.ITower;

import java.sql.*;
import java.util.Vector;

public class DBTower implements ITower {

    private static String SQL = "SELECT NAME, X_1, Y_1, X_2, Y_2 FROM TOWER";

        private float x1 = 0f;
        private float y1 = 0f;
        private float x2 = 0f;
        private float y2 = 0f;
        private String name = null;

        public DBTower() {}

        public DBTower(String name, float x1, float y1, float x2, float y2) {
            this.x1 = x1;
            this.y1 = y1;
            this.x2 = x2;
            this.y2 = y2;
            this.name = name;
        }


    public String getName() {
        return name;
    }


    public float getX1() {
        return x1;
    }


    public float getX2() {
        return x2;
    }


    public float getY1() {
        return y1;
    }


    public float getY2() {
        return y2;
    }


    /**
     * Loads all the towers from the database
     * @param aConn - a connection to the database
     * @return an array of DBTowers
     * @throws SQLException
     */
    protected static DBTower[] load(Connection aConn) throws SQLException
    {
        Statement sqlStmt = aConn.createStatement();
        ResultSet rs = sqlStmt.executeQuery(SQL);

        Vector results = new Vector();

        while (rs.next())
        {
            String name = rs.getString(1);
            float x1 = rs.getFloat(2);
            float y1 = rs.getFloat(3);
            float x2 = rs.getFloat(4);
            float y2 = rs.getFloat(5);

            DBTower tower = new DBTower(name,x1,y1,x2,y2);
            results.addElement(tower);
        }

        return (DBTower[])results.toArray(new DBTower[0]);

    }


}
