package Server.db;

import Server.ITower;
import Server.Plane;

import java.sql.SQLException;


public interface IDBManager {

    public ITower[] loadTowers() throws SQLException;

    /**
     * Loads positions of all planes as recorded in the database
     * @return
     * @throws SQLException
     */
    public  Plane[]  loadPositions() throws SQLException;


    /**
     * Saves position of a plane into the database.
     *
     * @param aPosition
     * @throws SQLException
     */
    public void savePosition(Plane aPosition) throws SQLException;

    /**
     * Registers a plane into the database.
     *
     * @param planeName unique name likely host+processID
     * @return uid for that plane
     * @throws SQLException
     */
    public int joinPlane(String planeName) throws SQLException;

    /**
     * Unregisters a plane from the database.
     *
     * @param uid of plane to remove
     * @throws SQLException
     */
    public void removePlane(int uid) throws SQLException;

    public void setDebug(boolean debugMode);
}
