package Server.db;

import Server.*;

import java.sql.SQLException;
import java.util.Hashtable;
import java.util.Vector;

public class MockDBManager implements IDBManager {

    //keep an in-memory database of planes.
    //Vector positionsTable = new Vector();


    public ITower[] loadTowers()  throws SQLException {

        ITower[] toReturn = new MockTower[4];

        toReturn[0] = new MockTower("ZLA", 0f, 0f, 0.5f, 0.5f);
        toReturn[1] = new MockTower("ZOA", 0f, 0.5f, 0.5f, 1.0f);
        toReturn[2] = new MockTower("ZSE", 0.5f, 0.5f, 1.0f, 1.0f);
        toReturn[3] = new MockTower("ZLC", 0.5f, 0f, 1.0f, 0.5f);

        return toReturn;
    }

    public void savePosition(Plane aPosition) throws SQLException{

        //do nothing
    }

  public  Plane[] loadPositions()  throws SQLException
  {
     //do nothing
     return null;
  }

    public int joinPlane(String planeName) throws SQLException {
        return 0;
    }

    public void removePlane(int uid) throws SQLException {


    }

    public void setDebug(boolean debugMode) {
        //do nothing
    }

    class MockTower implements ITower {
        private float _x1;
        private float _y1;
        private float _x2;
        private float _y2;
        private String _name;

        public MockTower(String name, float x1, float y1, float x2, float y2) {
            _x1 = x1;
            _y1 = y1;
            _x2 = x2;
            _y2 = y2;
            _name = name;
        }

        public float getX1() {
            return _x1;
        }

        public String getName() {
            return _name;
        }

        public float getY2() {
            return _y2;
        }

        public float getX2() {
            return _x2;
        }

        public float getY1() {
            return _y1;
        }
    }

}
